#
# spec file for package gnome-user-share (Version 2.28.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gnome-user-share
Summary:        GNOME user file sharing
Version:        2.28.2
Release:        1.1.1
License:        GPLv2+
Group:          Productivity/Networking/File-Sharing
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE gnome-user-share-soft-dep-apache.patch vuntz@novell.com -- Hide apache option in the UI if it's not available
Patch3:         gnome-user-share-soft-dep-apache.patch
Url:            http://www.gnome.org/
BuildRequires:  gconf2-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  fdupes
BuildRequires:  gnome-bluetooth-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libcanberra-devel
BuildRequires:  libnotify-devel
BuildRequires:  libunique-devel
BuildRequires:  update-desktop-files
Requires:       obex-data-server
Requires:       %{name}-lang = %{version}
Suggests:       apache2-prefork
Suggests:       apache2-worker
Suggests:       apache2-mod_dnssd
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
gnome-user-share is a small package that binds together various free
software projects to bring easy to use user-level file sharing to the
masses.

The program is meant to run in the background when the user is logged
in, and when file sharing is enabled a webdav server is started that
shares the $HOME/Public folder. The share is then published to all
computers on the local network using mDNS/rendezvous, so that it shows
up in the Network location in GNOME.

The program also allows to share files using ObexFTP over Bluetooth.



Authors:
--------
    Alexander Larsson <alexl@redhat.com>
    Bastien Nocera <hadess@hadess.net>

%lang_package
%prep
%setup -q
%patch3 -p1

%build
%configure \
    --with-modules-path=%{_libdir}/apache2/ \
    --disable-schemas-install \
    --disable-scrollkeeper \
    --libexecdir=%{_libexecdir}/gnome-user-share
make %{?jobs:-j%jobs}

%install
%makeinstall
%suse_update_desktop_file gnome-user-share-properties GTK System X-SuSE-ControlCenter-System
%suse_update_desktop_file gnome-user-share
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.lst
%defattr(-,root,root,-)
%doc README COPYING NEWS
%{_bindir}/*
%{_libexecdir}/gnome-user-share
%{_datadir}/applications/*
%{_datadir}/gnome-user-share
%{_sysconfdir}/xdg/autostart/gnome-user-share.desktop
%{_datadir}/icons/hicolor/*/apps/gnome-obex-server.png

%files lang -f %{name}.lang

%changelog
* Tue Dec 22 2009 captain.magnus@opensuse.org
- Update to version 2.28.2:
  + Avoid crashing on exit()
  + Make preferences single-instance
- Add libunique-devel to BuildRequires
* Thu Dec 17 2009 dimstar@opensuse.org
- Update to version 2.28.1:
  + Play a sound when receiving a file over ObexPush.
- BuildRequire libcanberra-devel.
* Wed Sep 23 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Fix WebDAV share name being untranslated
  + Updated translations.
* Mon Sep  7 2009 lmedinas@opensuse.org
- Update to version 2.27.0:
  + Fix WebDAV sharing not working when service names are too long
  + Fix login problems to WebDAV
  + Don't error out if the Obex services are already started
  + Fix Obex services not working any more when bluetoothd is
    exited
  + UI fixes for rejected ObexPush transfers
  + Updated translations
- Add gnome-bluetooth-devel BuildRequires
* Tue May 19 2009 vuntz@novell.com
- Add Suggests on apache2-mod_dnssd now that it's packaged.
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Updated translations.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.25.92:
  + Updated translations.
* Thu Feb  5 2009 vuntz@novell.com
- Update to version 2.25.91:
  + Fix httpd configuration file
- Changes from version 2.26.90:
  + Use mod_dnssd 0.6 to export the user TXT record, necessary to
    work with the latest gvfs
  + Check for httpd version and binary location at run-time, rather
    than compile-time
  + Documentation updates
- Changes from version 0.41:
  + Use Apache's mod_dnssd module instead of doing the work
    ourselves
  + Refuse to run as root, so as to avoid sensitive files being
    shared
  + Add end-user documentation, and UI changes to match
  + Make it possible for build daemons to build without Apache
    installed
- Remove BuildRequires on apache2-prefork: we can build without
  having apache installed now.
- Remove BuildRequires on libavahi-glib-devel: this is not needed
  anymore: mod_dnssd is now used.
- Add gnome-doc-utils-devel BuildRequires.
- Do not call autoreconf.
- Use fdupes.
* Sat Dec 20 2008 mboman@suse.de
- Update to version 0.41:
  + Port to BlueZ 4.x API
  + UI fixes in the preferences dialogue
  + Fix web file sharing on some distributions
- Remove gnome-user-share-bluez4.patch. Fixed upstream
- Remove gnome-user-share-httpd-detection.patch. Fixed upstream
* Tue Dec 16 2008 coolo@suse.de
- require lang subpackage
* Mon Nov 24 2008 vuntz@novell.com
- Use %%{_libdir} for the httpd module directory. Fix bnc#448129.
* Sat Nov 22 2008 aj@suse.de
- Fix package list to fix build.
- gnome-user-share helper is a binary, put it into libexecdir.
* Thu Nov 20 2008 vuntz@novell.com
- Import package, based on the one from Fedora. Required to fix
  bnc#402048.
